Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo
Interface XMLInterface

All Known Subinterfaces:
  Entity, Row, RowSet, ViewObject, ViewObjectDynAttr, WSRowSet

All Known Implementing Classes:
  EntityCacheOverRowSet, EntityImpl, RowImpl, RowImpl, oracle.jbo.server.RowSetImpl, TransPostEntityRow, ViewCriteriaRow, ViewObjectImpl, ViewRowImpl, ViewRowSetImpl, ViewUsageImpl, WSRowSetImpl, WSViewObjectImpl

public interface XMLInterface

Field Summary
`static int` | `XML_IGNORE_DEPTH_COUNT`
`static long` | `XML_OPT_ALL_ROWS` Bit flag to indicate that all rows will be rendered in XML in the writeXML() method.
`static long` | `XML_OPT_ASSOC_CONSISTENT` Bit flag to indicate that attribute accessors that return a RowSet should set the AssociationConsistent flag on, so that new (unposted) rows for the RowSet are also included in the output.
`static long` | `XML_OPT_CHANGES_ONLY` For internal BC4J use only.
`static long` | `XML_OPT_LIMIT_RANGE` Bit flag to indicate that rows in the current range will be rendered in XML in the writeXML() method.

Method Summary
`void` | `readXML(Element elem, int depthCount)`
`void` | `readXML(Element elem, int depthCount, XSLStylesheet xslt)`
`Node` | `writeXML(int depthCount, long options)` Renders data in a canonical XML-format.
`Node` | `writeXML(int depthCount, long options, XSLStylesheet xslt)`
`Node` | `writeXML(long options, com.sun.java.util.collections.HashMap voAttrMap)` Renders data in a canonical XML-format.
`Node` | `writeXML(long options, com.sun.java.util.collections.HashMap voAttrMap, XSLStylesheet xslt)`

Field Detail

### XML_OPT_ALL_ROWS

    public static final long XML_OPT_ALL_ROWS

  Bit flag to indicate that all rows will be rendered in XML in the writeXML() method.
  See Also:
    Constant Field Values

### XML_OPT_LIMIT_RANGE

    public static final long XML_OPT_LIMIT_RANGE

  Bit flag to indicate that rows in the current range will be rendered in XML in the writeXML() method. This flag does not work with forward only VOs.
  See Also:
    Constant Field Values

### XML_OPT_ASSOC_CONSISTENT

    public static final long XML_OPT_ASSOC_CONSISTENT

  Bit flag to indicate that attribute accessors that return a RowSet should set the AssociationConsistent flag on, so that new (unposted) rows for the RowSet are also included in the output. When this flag is set, the RowSet used for rendering XML is not set to forward only mode.
  See Also:
    Constant Field Values

### XML_OPT_CHANGES_ONLY

    public static final long XML_OPT_CHANGES_ONLY

  For internal BC4J use only.
  See Also:
    Constant Field Values

### XML_IGNORE_DEPTH_COUNT

    public static final int XML_IGNORE_DEPTH_COUNT

  See Also:
    Constant Field Values

Method Detail

### writeXML

    public Node writeXML(int depthCount,
                         long options)

  Renders data in a canonical XML-format. The classes `ViewObjectImpl` and `ViewRowImpl` implement this method to render data in XML.

  Use this method whenever data is required in XML format, either to present a UI (after converting XML data into some HTTP format using a stylesheet) or to pass the data as payload for messages via JMS.

  The `depthcount` parameter represents to what level the rendering should recurse. A `depthcount` of zero (0) means do not traverse any View Links while rendering. One (1) means traverse the View Links on this object but no View Links thereafter, and so on.

  The `options` parameter represents a set of bit flags that will control the `writeXML` behavior. The following bit flags have been defined:

  - `public static long XML_OPT_LIMIT_RANGE = 0x00000001` - Controls whether `writeXML` will only write rows in the range. If this flag is off, all rows in the row set will be written. If this flag is on, only rows in the current range will be written.
  - `public static long XML_OPT_CHANGES_ONLY = 0x00000002` - Controls whether only changed attribute values of an entity row is written. If this is on, only the attributes whose value has been marked as "changed" will be written. If this is off, all attributes (regardless of whether the attribute value has been changed or not) will be written. This flag is relevant only when writing `EntityImpl`.
  Parameters:
    `depthCount` - represents to what level the rendering should recurse.
    `options` - a set of bit flags that will control the `writeXML` behavior.

### writeXML

    public Node writeXML(int depthCount,
                         long options,
                         XSLStylesheet xslt)

### readXML

    public void readXML(Element elem,
                        int depthCount)

### readXML

    public void readXML(Element elem,
                        int depthCount,
                        XSLStylesheet xslt)

### writeXML

    public Node writeXML(long options,
                         com.sun.java.util.collections.HashMap voAttrMap)

  Renders data in a canonical XML-format. The classes `ViewObjectImpl` and `ViewRowImpl` implement this method to render data in XML.

  Use this method whenever data is required in XML format, either to present a UI (after converting XML data into some HTTP format using a stylesheet) or to pass the data as payload for messages via JMS.

  The `options` parameter represents a set of bit flags that will control the `writeXML` behavior. The following bit flags have been defined:

  - `public static long XML_OPT_LIMIT_RANGE = 0x00000001` - Controls whether `writeXML` will only write rows in the range. If this flag is off, all rows in the row set will be written. If this flag is on, only rows in the current range will be written.
  - `public static long XML_OPT_CHANGES_ONLY = 0x00000002` - Controls whether only changed attribute values of an entity row is written. If this is on, only the attributes whose value has been marked as "changed" will be written. If this is off, all attributes (regardless of whether the attribute value has been changed or not) will be written. This flag is relevant only when writing `EntityImpl`.

  The `voAttrMap` parameter represents in a hashmap, the mapping between a given ViewObject's definition type and the corresponding Attributes/accessors to render. A null entry in the hashmap means, render all attributes and accessors of that viewobject type.

  Parameters:
    `options` - a set of bit flags that will control the `writeXML`
    `voAttrMap` - HashMap containing Definition names of ViewObjects and an array of AttributeDef to render for a ViewObject of that definition type.

### writeXML

    public Node writeXML(long options,
                         com.sun.java.util.collections.HashMap voAttrMap,
                         XSLStylesheet xslt)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.